Variants Diseases
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/diseasesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/diseases"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/diseases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"sequence_variant": "<string>",
"disease": "<string>",
"gene_id": "<string>",
"gene_name": "<string>",
"assertion": "<string>",
"pmids": [
"<string>"
],
"source": "<string>",
"source_url": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Variants Diseases
Retrieve diseases and genes associated with the query variant from ClinGen.
At least one of these fields is required: variant_id, spdi, hgvs, rsid, ca_id, or region.
Example: variant_id = NC_000012.12:102917129:T:C
spdi = NC_000012.12:102917129:T:C,
hgvs = NC_000012.12:g.102917130T>C,
rsid = rs62514891,
ca_id = CA114360,
chr = chr12,
region = chr12:102866500-102866700 (maximum length: 10kb),
assertion = Pathogenic,
pmid = 2574002.
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
Variants Diseases
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/diseasesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/diseases"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/diseases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"sequence_variant": "<string>",
"disease": "<string>",
"gene_id": "<string>",
"gene_name": "<string>",
"assertion": "<string>",
"pmids": [
"<string>"
],
"source": "<string>",
"source_url": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
Benign, Likely Benign, Likely Pathogenic, Pathogenic, Uncertain Significance Available options:
Homo sapiens Available options:
true, false